## mpegpsmux mpegpsmux |

## Properties

gboolean | aggregate-gops | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── MpegPsMux

## Description

## Synopsis

### Element Information

plugin | mpegpsmux
author | Lin YANG <oxcsnicho@gmail.com>
class | Codec/Muxer

### Element Pads

name | sink_%u
direction | sink
presence | request
details | video/mpeg, mpegversion=(int){ 1, 2, 4 }, systemstream=(boolean)false
| video/x-dirac
| video/x-h264
| audio/mpeg, mpegversion=(int){ 1, 2 }
| audio/mpeg, mpegversion=(int)4, stream-format=(string){ raw, adts }
| audio/x-lpcm, width=(int){ 16, 20, 24 }, rate=(int){ 48000, 96000 }, channels=(int)[ 1, 8 ], dynamic_range=(int)[ 0, 255 ], emphasis=(boolean){ false, true }, mute=(boolean){ false, true }

name | src
direction | source
presence | always
details | video/mpeg, mpegversion=(int)2, systemstream=(boolean)true

## Functions

## Types and Values

## Property Details

### The `“aggregate-gops”` property

      “aggregate-gops”           gboolean

Whether to aggregate GOPs and push them out as buffer lists.

Flags: Read / Write

Default value: FALSE